ros-noetic-moveit-ros-planning (1.1.11-1buster) buster; urgency=high

  * Backport ruckig trajectory_processing plugin (#2902 <https://github.com/ros-planning/moveit/issues/2902>)
  * Allow planning with multiple pipelines in parallel with moveit_cpp (#3244 <https://github.com/ros-planning/moveit/issues/3244>)
  * Merge PR #3262 <https://github.com/ros-planning/moveit/issues/3262>: Short-circuit planning adapters
    
      * Early return from failing planning adapters, namely FixStartStateCollision and FixStartStatePathConstraint
      * Propagate the error code via MotionPlanResponse::error_code_
      * Add string translations for all error codes
    
  * Cleanup translation of MoveItErrorCode to string
    
      * Move default code to moveit_core/utils
      * Override defaults in existing getActionResultString()
      * Provide translations for all error codes defined in moveit_msgs
    
  * Short-circuit planning request adapters
  * Contributors: Robert Haschke, Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Dec 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.10-1buster) buster; urgency=high

  * Limit Cartesian speed for link(s) (#2856 <https://github.com/ros-planning/moveit/issues/2856>)
  * trajectory execution manager: reactivate tests (#3177 <https://github.com/ros-planning/moveit/issues/3177>)
  * Clean up TrajectoryExecutionManager API (#3178 <https://github.com/ros-planning/moveit/issues/3178>)
  * MoveItCpp: Allow multiple pipelines (#3131 <https://github.com/ros-planning/moveit/issues/3131>)
  * Replace bind() with lambdas (#3106 <https://github.com/ros-planning/moveit/issues/3106>)
  * Contributors: Jochen Sprickerhof, Michael Görner, Robert Haschke, cambel, v4hn

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Sep 2022 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.9-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Mar 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.8-1buster) buster; urgency=high

  * Fix deprecation warning in moveit_cpp (#3019 <https://github.com/ros-planning/moveit/issues/3019>)
  * Contributors: Jeroen

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 29 Jan 2022 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.7-1buster) buster; urgency=high

  * Move ``MoveItErrorCode`` class to ``moveit_core`` (#3009 <https://github.com/ros-planning/moveit/issues/3009>)
  * Switch to ``std::bind`` (#2967 <https://github.com/ros-planning/moveit/issues/2967>)
  * ``MoveitCpp``: Added ability to set path constraints for ``PlanningComponent`` (#2959 <https://github.com/ros-planning/moveit/issues/2959>)
  * ``RDFLoader``: clear buffer before reading content (#2963 <https://github.com/ros-planning/moveit/issues/2963>)
  * Reset markers on ``display_contacts`` topic for a new planning attempt (#2944 <https://github.com/ros-planning/moveit/issues/2944>)
  * Contributors: Colin Kohler, Jafar Abdi, Jochen Sprickerhof, Rick Staa, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Dec 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.6-1buster) buster; urgency=high

  * Use newly introduced cmake macro ``moveit_build_options()`` from ``moveit_core``
  * Split ``CollisionPluginLoader`` (#2834 <https://github.com/ros-planning/moveit/issues/2834>)To avoid circular dependencies, but enable reuse of the ``CollisionPluginLoader``, the non-ROS part was moved into ``moveit_core/moveit_collision_detection.so``
    and the ROS part (reading the plugin name from the parameter server) into ``moveit_ros_planning/moveit_collision_plugin_loader.so`` (as before).
  * Introduce a reference frame for collision objects (#2037 <https://github.com/ros-planning/moveit/issues/2037>)
  * Fix RDFLoader: uninitialized member (#2806 <https://github.com/ros-planning/moveit/issues/2806>)
  * Add missing dependencies to generated dynamic_reconfigure headers (#2772 <https://github.com/ros-planning/moveit/issues/2772>)
  * clang-tidy: modernize-make-shared, modernize-make-unique (#2762 <https://github.com/ros-planning/moveit/issues/2762>)
  * PSM: Read padding parameters from correct namespace (#2706 <https://github.com/ros-planning/moveit/issues/2706>)
  * Load ``max_safe_path_cost`` into namespace ``sense_for_plan`` (#2703 <https://github.com/ros-planning/moveit/issues/2703>)
  * Fix order of member initialization (#2687 <https://github.com/ros-planning/moveit/issues/2687>)
  * Move ``OccMapTree`` to ``moveit_core/collision_detection`` (#2684 <https://github.com/ros-planning/moveit/issues/2684>)
  * Contributors: Felix von Drigalski, Martin Günther, Mathias Lüdtke, Michael Görner, Robert Haschke, Simon Schmeisser, Tyler Weaver, pvanlaar, werner291

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 05 Nov 2021 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.5-1buster) buster; urgency=high

  * Revert "Lock the octomap/octree while collision checking (#2683 <https://github.com/ros-planning/moveit/issues/2683>)
  * Unify and simplify CSM::haveCompleteState overloads (#2663 <https://github.com/ros-planning/moveit/issues/2663>)
  * Contributors: Michael Görner

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.4-1buster) buster; urgency=high

  * Lock the octomap/octree while collision checking (#2596 <https://github.com/ros-planning/moveit/issues/2596>)
  * Use private NodeHandle instead of child for PlanningPipeline topics (#2652 <https://github.com/ros-planning/moveit/issues/2652>)
  * Print an error if the planning pipelines are empty (#2639 <https://github.com/ros-planning/moveit/issues/2639>)
  * Simplify logic in PSM (#2632 <https://github.com/ros-planning/moveit/issues/2632>)
  * Contributors: Henning Kayser, Luc Bettaieb, Michael Görner, Simon Schmeisser, Rojas Rafael

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 May 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.3-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 28 Apr 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.2-1buster) buster; urgency=high

  * Fix formatting errors
  * PlanExecution: Correctly handle preempt-requested flag (#2554 <https://github.com/ros-planning/moveit/issues/2554>)
  * Support multiple planning pipelines with MoveGroup via MoveItCpp (#2127 <https://github.com/ros-planning/moveit/issues/2127>)
  * Move moveit_cpp to moveit_ros_planning
    Deprecate namespace ``moveit::planning_interface::`` in favor of ``moveit_cpp::``
  * thread safety in clear octomap & only update geometry (#2500 <https://github.com/ros-planning/moveit/issues/2500>)
  * Fix some typos in comments (#2466 <https://github.com/ros-planning/moveit/issues/2466>)
  * FixStartStateBounds: Copy attached bodies when adapting the start state (#2398 <https://github.com/ros-planning/moveit/issues/2398>)
  * Contributors: Henning Kayser, Michael Görner, Robert Haschke, Simon Schmeisser, Tyler Weaver, Udbhavbisarya23

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 07 Apr 2021 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.1-1buster) buster; urgency=high

  * [fix] some clang-tidy issues on Travis (#2337 <https://github.com/ros-planning/moveit/issues/2337>)
  * [fix] various issues with Noetic build (#2327 <https://github.com/ros-planning/moveit/issues/2327>)
  * [fix] "Clear Octomap" button, disable when no octomap is published (#2320 <https://github.com/ros-planning/moveit/issues/2320>)
  * [maint] Add comment to MOVEIT_CLASS_FORWARD (#2315 <https://github.com/ros-planning/moveit/issues/2315>)
  * Contributors: Felix von Drigalski, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 12 Oct 2020 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.1.0-1buster) buster; urgency=high

  * [feature] Use Eigen::Transform::linear() instead of rotation() (#1964 <https://github.com/ros-planning/moveit/issues/1964>)
  * [feature] Bullet collision detection (#1839 <https://github.com/ros-planning/moveit/issues/1839>) (#1504 <https://github.com/ros-planning/moveit/issues/1504>)
  * [feature] Allow different controllers for execution (#1832 <https://github.com/ros-planning/moveit/issues/1832>)
  * [feature] Adding continuous collision detection to Bullet (#1551 <https://github.com/ros-planning/moveit/issues/1551>)
  * [feature] plan_execution: refine logging for invalid paths (#1705 <https://github.com/ros-planning/moveit/issues/1705>)
  * [feature] Unified Collision Environment Integration (#1584 <https://github.com/ros-planning/moveit/issues/1584>)
  * [feature] Allow ROS namespaces for planning request adapters (#1530 <https://github.com/ros-planning/moveit/issues/1530>)
  * [feature] Add named frames to CollisionObjects (#1439 <https://github.com/ros-planning/moveit/issues/1439>)
  * [feature] get_planning_scene_service: return full scene when nothing was requested (#1424 <https://github.com/ros-planning/moveit/issues/1424>)
  * [fix] Various fixes for upcoming Noetic release (#2180 <https://github.com/ros-planning/moveit/issues/2180>)
  * [fix] Initialize zero dynamics in CurrentStateMonitor (#1883 <https://github.com/ros-planning/moveit/issues/1883>)
  * [fix] memory leak (#1526 <https://github.com/ros-planning/moveit/issues/1526>)
  * [maint] Adapt repository for splitted moveit_resources layout (#2199 <https://github.com/ros-planning/moveit/issues/2199>)
  * [maint] partially transition unused test bin to rostest (#2158 <https://github.com/ros-planning/moveit/issues/2158>)
  * [maint] Optional cpp version setting (#2166 <https://github.com/ros-planning/moveit/issues/2166>)
  * [maint] clang-tidy fixes (#2050 <https://github.com/ros-planning/moveit/issues/2050>, #2004 <https://github.com/ros-planning/moveit/issues/2004>, #1419 <https://github.com/ros-planning/moveit/issues/1419>)
  * [maint] Fix usage of panda_moveit_config (#1904 <https://github.com/ros-planning/moveit/issues/1904>)
  * [maint] Replace namespaces robot_state and robot_model with moveit::core (#1924 <https://github.com/ros-planning/moveit/issues/1924>)
  * [maint] Adapt cmake for Bullet (#1744 <https://github.com/ros-planning/moveit/issues/1744>)
  * [maint] Readme for speed benchmark (#1648 <https://github.com/ros-planning/moveit/issues/1648>)
  * [maint] Fix compiler warnings (#1773 <https://github.com/ros-planning/moveit/issues/1773>)
  * [maint] Improve variable naming in RobotModelLoader (#1759 <https://github.com/ros-planning/moveit/issues/1759>)
  * [maint] Move isEmpty() test functions to moveit_core/utils (#1627 <https://github.com/ros-planning/moveit/issues/1627>)
  * [maint] Switch from include guards to pragma once (#1615 <https://github.com/ros-planning/moveit/issues/1615>)
  * [maint] Remove ! from MoveIt name (#1590 <https://github.com/ros-planning/moveit/issues/1590>)
  * Contributors: Ayush Garg, Bianca Homberg, Dave Coleman, Felix von Drigalski, Henning Kayser, Jens P, Jonathan Binney, Markus Vieth, Martin Pecka, Max Krichenbauer, Michael Görner, Robert Haschke, Sean Yen, Simon Schmeisser, Tyler Weaver, Yu, Yan, jschleicher, livanov93, llach

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 03 Sep 2020 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.0.6-1buster) buster; urgency=high

  * [fix]   Fix segfault in PSM::clearOctomap() (#2193 <https://github.com/ros-planning/moveit/issues/2193>)
  * [maint] Migrate to clang-format-10
  * [maint] Optimize includes (#2229 <https://github.com/ros-planning/moveit/issues/2229>)
  * Contributors: Henning Kayser, Markus Vieth, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 18 Aug 2020 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.0.5-1buster) buster; urgency=high

  * [feature] Trajectory Execution: fix check for start state position (#2157 <https://github.com/ros-planning/moveit/issues/2157>)
  * [feature] Improve responsiveness of PlanningSceneDisplay (#2049 <https://github.com/ros-planning/moveit/issues/2049>)
    - PlanningSceneMonitor: increate update frequency from 10Hz to 30Hz
    - send RobotState diff if only position changed
  * Contributors: Michael Görner, Robert Haschke, Simon Schmeisser

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jul 2020 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.0.4-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 29 May 2020 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.0.3-1buster) buster; urgency=high

  * [fix]     CurrentStateMonitor: Initialize velocity/effort with unset dynamics
  * [fix]     Fix spurious warning message (# IK attempts) (#1876 <https://github.com/ros-planning/moveit/issues/1876>)
  * [maint]   Move get_planning_scene service into PlanningSceneMonitor for reusability (#1854 <https://github.com/ros-planning/moveit/issues/1854>)
  * [feature] Forward controller names to TrajectoryExecutionManager
  * [fix]     Always copy dynamics if enabled in CurrentStateMonitor (#1676 <https://github.com/ros-planning/moveit/issues/1676>)
  * [feature] TrajectoryMonitor: zero sampling frequency disables trajectory recording (#1542 <https://github.com/ros-planning/moveit/issues/1542>)
  * [feature] Add user warning when planning fails with multiple constraints (#1443 <https://github.com/ros-planning/moveit/issues/1443>)
  * [maint]   Apply clang-tidy fix to entire code base (#1394 <https://github.com/ros-planning/moveit/issues/1394>)
  * [maint]   Fix errors: catkin_lint 1.6.7 (#1987 <https://github.com/ros-planning/moveit/issues/1987>)
  * [maint]   Windows build fixes
    * Fix header inclusion and other MSVC build errors (#1636 <https://github.com/ros-planning/moveit/issues/1636>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
    * Favor ros::Duration.sleep over sleep. (#1634 <https://github.com/ros-planning/moveit/issues/1634>)
    * Remove GCC extensions (#1583 <https://github.com/ros-planning/moveit/issues/1583>)
    * Fix binary artifact install locations. (#1575 <https://github.com/ros-planning/moveit/issues/1575>)
  * [maint]   Use CMAKE_CXX_STANDARD to enforce c++14 (#1607 <https://github.com/ros-planning/moveit/issues/1607>)
  * [fix]     Fix potential memory leak in RDFLoader (#1828 <https://github.com/ros-planning/moveit/issues/1828>)
    [maint]   Use smart pointers to avoid explicit new/delete
  * [fix]     TrajectoryExecutionManager: fix race condition (#1709 <https://github.com/ros-planning/moveit/issues/1709>)
  * [fix]     Correctly propagate error if time parameterization fails (#1562 <https://github.com/ros-planning/moveit/issues/1562>)
  * [maint]   move occupancy_map_monitor into its own package (#1533 <https://github.com/ros-planning/moveit/issues/1533>)
  * [feature] PlanExecution: return executed trajectory (#1538 <https://github.com/ros-planning/moveit/issues/1538>)
  * Contributors: Felix von Drigalski, Henning Kayser, Max Krichenbauer, Michael Görner, Robert Haschke, Sean Yen, Yu, Yan, jschleicher, livanov93, Luca Lach

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 25 Apr 2020 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.0.2-1buster) buster; urgency=high

  * [fix] Removed MessageFilter for /collision_object messages (#1406 <https://github.com/ros-planning/moveit/issues/1406>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 27 Jun 2019 22:00:00 -0000

ros-noetic-moveit-ros-planning (1.0.1-1buster) buster; urgency=high

  * [improve] Apply clang tidy fix to entire code base (Part 1) (#1366 <https://github.com/ros-planning/moveit/issues/1366>)
  * Contributors: Robert Haschke, Yu, Yan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 07 Mar 2019 23:00:00 -0000

ros-noetic-moveit-ros-planning (1.0.0-1buster) buster; urgency=high

  * [maintenance] Travis: enable warnings and catkin_lint checker (#1332 <https://github.com/ros-planning/moveit/issues/1332>)
  * [improve] Remove (redundant) random seeding and #attempts from RobotState::setFromIK() as the IK solver perform random seeding themselves. #1288 <https://github.com/ros-planning/moveit/issues/1288>
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 23 Feb 2019 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.10.8-1buster) buster; urgency=high

  * [maintenance] RDFLoader / RobotModelLoader: remove TinyXML API (#1254 <https://github.com/ros-planning/moveit/issues/1254>)
  * [enhancement] Cmdline tool to print planning scene info (#1239 <https://github.com/ros-planning/moveit/issues/1239>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 23 Dec 2018 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.10.7-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 12 Dec 2018 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.10.6-1buster) buster; urgency=high

  * [fix] Fixed various memory leaks (#1104 <https://github.com/ros-planning/moveit/issues/1104>)
    * KinematicsPluginLoader: only cache the latest instance
    * Use createUniqueInstance()
  * [fix] Use correct trajectory_initialization_method parameter (#1237 <https://github.com/ros-planning/moveit/issues/1237>)
  * [enhancement] Pass RobotModel to IK, avoiding multiple loading (#1166 <https://github.com/ros-planning/moveit/issues/1166>)
  * [maintenance] Replaced Eigen::Affine3d -> Eigen::Isometry3d (#1096 <https://github.com/ros-planning/moveit/issues/1096>)
  * [maintenance] Use C++14 (#1146 <https://github.com/ros-planning/moveit/issues/1146>)
  * [maintenance] Code Cleanup
    * #1179 <https://github.com/ros-planning/moveit/issues/1179>
    * #1180 <https://github.com/ros-planning/moveit/issues/1180>
    * #1196 <https://github.com/ros-planning/moveit/issues/1196>
  * [maintenance] Change dynamic reconfigure limits for allowed_goal_duration_margin to 30s (#993 <https://github.com/ros-planning/moveit/issues/993>)
  * Contributors: Alex Moriarty, Dave Coleman, Hamal Marino, Michael Görner, Robert Haschke, Stephan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 08 Dec 2018 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.10.5-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 31 Oct 2018 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.10.4-1buster) buster; urgency=high

  * [fix] Build regression (#1170 <https://github.com/ros-planning/moveit/issues/1170>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.10.3-1buster) buster; urgency=high

  * [fix] Build regression (#1134 <https://github.com/ros-planning/moveit/issues/1134>)
  * Contributors: Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 28 Oct 2018 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.10.2-1buster) buster; urgency=high

  * [fix] Chomp package handling issue #1086 <https://github.com/ros-planning/moveit/issues/1086> that was introduced in ubi-agni/hotfix-#1012 <https://github.com/ubi-agni/hotfix-/issues/1012>
  * [fix] PlanningSceneMonitor lock #1033 <https://github.com/ros-planning/moveit/issues/1033>: Fix #868 <https://github.com/ros-planning/moveit/issues/868> (#1057 <https://github.com/ros-planning/moveit/issues/1057>)
  * [fix] CurrentStateMonitor update callback for floating joints to handle non-identity joint origins #984 <https://github.com/ros-planning/moveit/issues/984>
  * [fix] Eigen alignment issuses due to missing aligned allocation (#1039 <https://github.com/ros-planning/moveit/issues/1039>)
  * [fix] reset moveit_msgs::RobotState.is_diff to false (#968 <https://github.com/ros-planning/moveit/issues/968>) This fixes a regression introduced in #939 <https://github.com/ros-planning/moveit/issues/939>.
  * [capability][chomp] Addition of CHOMP planning adapter for optimizing result of other planners (#1012 <https://github.com/ros-planning/moveit/issues/1012>)
  * [capability] new dynamic-reconfigure parameter wait_for_trajectory_completion to disable waiting for convergence independently from start-state checking. (#883 <https://github.com/ros-planning/moveit/issues/883>)
  * [capability] Option for controller-specific duration parameters (#785 <https://github.com/ros-planning/moveit/issues/785>)
  * [enhancement] do not wait for robot convergence, when trajectory_execution_manager finishes with status != SUCCEEDED (#1011 <https://github.com/ros-planning/moveit/issues/1011>)
  * [enhancement] allow execution of empty trajectories (#940 <https://github.com/ros-planning/moveit/issues/940>)
  * [enhancement] avoid warning spam: "Unable to update multi-DOF joint" (#935 <https://github.com/ros-planning/moveit/issues/935>)
  * Contributors: 2scholz, Adrian Zwiener, Kei Okada, Michael Görner, Mohmmad Ayman, Raghavender Sahdev, Robert Haschke, Simon Schmeisser, Xaver Kroischke, mike lautman, srsidd

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 23 Oct 2018 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.10.1-1buster) buster; urgency=high

  * [fix] explicitly enforce updateSceneWithCurrentState() in waitForCurrentRobotState() (#824 <https://github.com/ros-planning/moveit/issues/824>)
  * Support static TFs for multi-DOF joints in CurrentStateMonitor (#799 <https://github.com/ros-planning/moveit/issues/799>)
  * support xacro args (#796 <https://github.com/ros-planning/moveit/issues/796>)
  * CSM: wait for *active* joint states only (#792 <https://github.com/ros-planning/moveit/issues/792>)
  * skip non-actuated joints for execution (#754 <https://github.com/ros-planning/moveit/issues/754>)
  * Iterative cubic spline interpolation (#441 <https://github.com/ros-planning/moveit/issues/441>)
  * Floating Joint Support in CurrentStateMonitor (#748 <https://github.com/ros-planning/moveit/issues/748>)
  * validate multi-dof trajectories before execution (#713 <https://github.com/ros-planning/moveit/issues/713>)
  * Contributors: Bruno Brito, Dave Coleman, Ian McMahon, Ken Anderson, Michael Görner, Mikael Arguedas, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 24 May 2018 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.9.11-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 24 Dec 2017 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.9.10-1buster) buster; urgency=high

  * [fix] Avoid segfault when validating a multidof-only trajectory (#691 <https://github.com/ros-planning/moveit/issues/691>). Fixes #539 <https://github.com/ros-planning/moveit/issues/539>
  * [fix] find and link against tinyxml where needed (#569 <https://github.com/ros-planning/moveit/issues/569>)
  * [capability] Multi DOF Trajectory only providing translation not velocity (#555 <https://github.com/ros-planning/moveit/issues/555>)
  * Contributors: Isaac I.Y. Saito, Michael Görner, Mikael Arguedas, Troy Cordie

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 08 Dec 2017 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.9.9-1buster) buster; urgency=high

  * [fix] Change getCurrentExpectedTrajectory index so collision detection is still performed even if the path timing is not known (#550 <https://github.com/ros-planning/moveit/issues/550>)
  * [fix] Support for MultiDoF only trajectories #553 <https://github.com/ros-planning/moveit/pull/553>
  * [fix] ros_error macro name (#544 <https://github.com/ros-planning/moveit/issues/544>)
  * [fix] check plan size for plan length=0 #535 <https://github.com/ros-planning/moveit/issues/535>
  * Contributors: Cyrille Morin, Michael Görner, Mikael Arguedas, Notou, Unknown

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 05 Aug 2017 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.9.8-1buster) buster; urgency=high

  * [fix] Include callback of execution status if trajectory is invalid. (#524 <https://github.com/ros-planning/moveit/issues/524>)
  * Contributors: dougsm

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 20 Jun 2017 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.9.7-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 04 Jun 2017 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.9.6-1buster) buster; urgency=high

  * [fix] gcc6 build error (#471 <https://github.com/ros-planning/moveit/issues/471>, #458 <https://github.com/ros-planning/moveit/issues/458>)
  * [fix] undefined symbol in planning_scene_monitor (#463 <https://github.com/ros-planning/moveit/issues/463>)
  * Contributors: Dmitry Rozhkov, Ruben Burger

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 11 Apr 2017 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.9.5-1buster) buster; urgency=high

  * [enhancement] Remove "catch (...)" instances, catch std::exception instead of std::runtime_error (#445 <https://github.com/ros-planning/moveit/issues/445>)
  * Contributors: Bence Magyar

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Mar 2017 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.9.4-1buster) buster; urgency=high

  * [fix] race conditions when updating PlanningScene (#350 <https://github.com/ros-planning/moveit/issues/350>)
  * [maintenance] Use static_cast to cast to const. (#433 <https://github.com/ros-planning/moveit/issues/433>)
  * [maintenance] clang-format upgraded to 3.8 (#367 <https://github.com/ros-planning/moveit/issues/367>)
  * Contributors: Dave Coleman, Maarten de Vries, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 05 Feb 2017 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.9.3-1buster) buster; urgency=high

  * [fix] cleanup urdfdom compatibility (#319 <https://github.com/ros-planning/moveit/issues/319>)
  * [maintenance] Updated package.xml maintainers and author emails #330 <https://github.com/ros-planning/moveit/issues/330>
  * Contributors: Dave Coleman, Ian McMahon, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 15 Nov 2016 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.9.2-1buster) buster; urgency=high

  * [Capability] compatibility to urdfdom < 0.4 (#317 <https://github.com/ros-planning/moveit/issues/317>)
  * [Maintenance] Auto format codebase using clang-format (#284 <https://github.com/ros-planning/moveit/issues/284>)
  * Contributors: Dave Coleman, Robert Haschke

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 04 Nov 2016 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.6.6-1buster) buster; urgency=high

  * Add library moveit_collision_plugin_loader as an exported catkin library (#678 <https://github.com/ros-planning/moveit_ros/issues/678>)
  * replaced cmake_modules dependency with eigen
  * [jade] eigen3 adjustment
  * Fix compilation with C++11.
  * Enable optional build against Qt5, use -DUseQt5=On to enable it
  * merge indigo-devel changes (PR #633 <https://github.com/ros-planning/moveit_ros/issues/633> trailing whitespace) into jade-devel
  * Removed trailing whitespace from entire repository
  * Optional ability to copy velocity and effort to RobotState
  * cherry-picked PR #614 <https://github.com/ros-planning/moveit_ros/issues/614>
    fixed segfault on shutdown
  * fixed segfault on shutdown
    use of pluginlib's createUnmanagedInstance() is strongly discouraged:
    http://wiki.ros.org/class_loader#Understanding_Loading_and_Unloading
    here, the kinematics plugin libs were unloaded before destruction of corresponding pointers
  * Deprecate shape_tools
  * CurrentStateMonitor no longer requires hearing mimic joint state values.
  * Fix crash due to robot state not getting updated (moveit_ros #559 <https://github.com/ros-planning/moveit_ros/issues/559>)
  * Contributors: Dave Coleman, Dave Hershberger, Isaac I.Y. Saito, Levi Armstrong, Maarten de Vries, Robert Haschke, Simon Schmeisser (isys vision), kohlbrecher

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 07 Jun 2016 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.6.5-1buster) buster; urgency=high

  * update maintainers
  * perception: adding RAII-based locking for OccMapTree
  * perception: adding locks to planning scene monitor
  * Add time factor support for iterative_time_parametrization
  * Contributors: Jonathan Bohren, Michael Ferguson, kohlbrecher

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 23 Jan 2015 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.6.4-1buster) buster; urgency=high

  * Namespaced "traj_execution" for all trajectory_execution_manager logging
  * planning_scene_monitor: add ros parameter for adding a wait-for-transform lookup time
    fixes #465 <https://github.com/ros-planning/moveit_ros/issues/465>
  * Contributors: Dave Coleman, Jonathan Bohren

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 19 Dec 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.6.3-1buster) buster; urgency=high

  * add plugin interface for collision detectors
  * fix missing return value
  * trivial fixes for warnings
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 02 Dec 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.6.2-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.6.1-1buster) buster; urgency=high

  * re-add libqt4 dependency (previously came from pcl-all)
  * Contributors: Michael Ferguson

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 30 Oct 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.6.0-1buster) buster; urgency=high

  * Removed leadings slash from rosparam for robot padding
  * Added move_group capability for clearing octomap.
  * Made loading octomap_monitor optional in planning_scene_monitor when using WorldGeometryMonitor
  * Contributors: Dave Coleman, Dave Hershberger, Sachin Chitta, ahb

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 26 Oct 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.19-1buster) buster; urgency=high

  * Updated doxygen comment in TrajectoryExecutionManager.
  * Added more informative error message text when cant' find controllers.
  * robot_model_loader.cpp: added call to KinematicsBase::supportsGroup().
  * Fix [-Wreorder] warning.
  * Fix broken log & output statements.
    - Address [cppcheck: coutCerrMisusage] and [-Werror=format-extra-args] errors.
    - ROS_ERROR -> ROS_ERROR_NAMED.
    - Print size_t values portably.
  * Address [-Wreturn-type] warning.
  * Address [cppcheck: postfixOperator] warning.
  * Address [cppcheck: duplicateIf] error.
    The same condition was being checked twice, and the same action was being taken.
  * Add check for planning scene monitor connection, with 5 sec delay
  * Fix for building srv_kinematics_plugin
  * New ROS service call-based IK plugin
  * Allow planning groups to have more than one tip
  * Contributors: Adolfo Rodriguez Tsouroukdissian, Dave Coleman, Dave Hershberger

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 22 Jun 2014 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.18-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 22 Mar 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.17-1buster) buster; urgency=high

  * update build system for ROS indigo
  * update maintainer e-mail
  * Namespace a debug message
  * Minor non-functional changes to KDL
  * Contributors: Dave Coleman, Ioan Sucan

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Fri, 21 Mar 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.16-1buster) buster; urgency=high

  * Copy paste error fix
  * Contributors: fivef

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 26 Feb 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.14-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 05 Feb 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.13-1buster) buster; urgency=high

  * remove debug printfs
  * planning_scene_monitor: add requestPlanningSceneState()
  * planning_scene_monitor: fix race condition
  * planning_scene_monitor: fix state update bug
    The rate of state updates is limited to dt_state_update per second.
    When an update arrived it was not processed if another was recently
    processed.  This meant that if a quick sequence of state updates
    arrived and then no updates arrive for a while that the last update(s)
    were not seen until another arrives (which may be much later or
    never). This fixes the bug by periodically checking for pending
    updates and running them if they have been pending longer than
    dt_state_update.
  * add default_robot_link_padding/scale, set padding/scale value for each robot link, see https://github.com/ros-planning/moveit_ros/issues/402
  * fix LockedPlanningSceneRW docs
    fix the text that was originally copied from another class
    (from LockedPlanningSceneRO)
    it mentioned an incorrect return value type of
    LockedPlanningSceneRW::operator->()
  * Contributors: Acorn Pooley, Filip Jares, Kei Okada

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 05 Feb 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.12-1buster) buster; urgency=high

  * Fixed trailing underscores in CHANGELOGs.
  * Contributors: Dave Hershberger

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 02 Jan 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.11-1buster) buster; urgency=high

  * planning_scene_monitor: slight code simplification
  * planning_scene_monitor: fix scope of local vars
  * planning_scene_monitor: fix init bug
    scene_const_ not set if scene passed to constructor.
  * kdl_kinematics_plugin: fix warning
  * Contributors: Acorn Pooley

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 02 Jan 2014 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.10-1buster) buster; urgency=high

  * fixing how joint names are filled up, fixed joints were getting included earlier, also resizing consistency limits for when random positions near by function is being called
  * Contributors: Sachin Chitta

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 07 Dec 2013 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.9-1buster) buster; urgency=high

  * Doxygen: added warnings and details to planning_scene_monitor.h
  * correcting maintainer email
  * remove duplicate header
  * Fixed exported targets
  * Fixed dependency issue
  * fixing joint limits setup for mimic joints
  * implement feature requests
  * clear monitored octomap when needed (see #315 <https://github.com/ros-planning/moveit_ros/issues/315>)
  * fix the adapter for fixing path constraints for initial states
  * fixed computation of dimension_.
  * bugfixes in indexing added states for path adapters
  * fixes for mimic joints and redundant joints

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 02 Dec 2013 23:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.8-1buster) buster; urgency=high

  * add executable for publishing scene geometry from text
  * Made the goal duration margin and scaling optional rosparameters
  * bugfixes

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 10 Oct 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.7-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Mon, 30 Sep 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.6-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Wed, 25 Sep 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.5-1buster) buster; urgency=high

  * fix the event triggered on updating attached objects
  * make scene monitor trigger updates only when needed
  * fix loading of default params
  * port to new RobotState API, new messages
  * make sure we do not overwrite attached bodies, when updating the current state
  * fix #308 <https://github.com/ros-planning/moveit_ros/issues/308>
  * fix #304 <https://github.com/ros-planning/moveit_ros/issues/304>
  * fix issue with sending trajectories for passive/mimic/fixed joints
  * pass effort along

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 22 Sep 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.4-1buster) buster; urgency=high

  * remove CollisionMap, expose topic names in PlanningSceneMonitor, implement detach / attach operations as requested by #280 <https://github.com/ros-planning/moveit_ros/issues/280>
  * make headers and author definitions aligned the same way; white space fixes
  * move background_processing lib to core
  * add option to disable trajectory monitoring

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 13 Aug 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.2-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sun, 14 Jul 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.1-1buster) buster; urgency=high



 -- Michael Ferguson <mferguson@fetchrobotics.com>  Sat, 13 Jul 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.5.0-1buster) buster; urgency=high

  * minor doc fixes
  * add docs for planning pipeline
  * cleanup build system
  * fixing approximate ik calculation
  * white space fixes (tabs are now spaces)
  * adding check for approximate solution flag
  * adding options struct to kinematics base
  * port to new base class for planning_interface (using planning contexts)

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Thu, 11 Jul 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.4.5-1buster) buster; urgency=high

  * Namespaced ROS_* log messages for better debug fitering - added 'kdl' namespace
  * remove dep
  * make searchPositionIK actually const, and thread-safe
  * Made debug output look better

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 02 Jul 2013 22:00:00 -0000

ros-noetic-moveit-ros-planning (0.4.4-1buster) buster; urgency=high

  * fix #210 <https://github.com/ros-planning/moveit_ros/issues/210>
  * added dynamic reconfigure parameters to allow enabling/disabling of trajectory duration monitoring. fixes #256 <https://github.com/ros-planning/moveit_ros/issues/256>
  * add state operations evaluation tool
  * warn when time parametrization fails
  * moved exceptions headers

 -- Michael Ferguson <mferguson@fetchrobotics.com>  Tue, 25 Jun 2013 22:00:00 -0000


